Save AASA configuration

PUT /api/apps/{appId}/aasa
Saves the Apple App Site Association configuration. Validates App ID format (TEAMID.bundleid) and path patterns (must start with /).

Parameters

Name Type Description
appIdrequired string The app's unique identifier Example: -NtestApp123

Request Body

Name Type Description
universalLinks object | null
appIDs string[] 1–10 items
paths object[] Max 50 items
pattern string URL path pattern, e.g. /products/* 1–500 characters
exclude boolean Default: false
comment string Max 200 characters
appClips object | null
appIDs string[] 1–5 items
webCredentials object | null
appIDs string[] 1–10 items
activityContinuation object | null
appIDs string[] 1–10 items

Responses

200 Saved AASA configuration
Name Type Description
universalLinks object | null
appIDs string[] 1–10 items
paths object[] Max 50 items
pattern string URL path pattern, e.g. /products/* 1–500 characters
exclude boolean Default: false
comment string Max 200 characters
appClips object | null
appIDs string[] 1–5 items
webCredentials object | null
appIDs string[] 1–10 items
activityContinuation object | null
appIDs string[] 1–10 items
updatedAt integer
400 Validation failed
Name Type Description
errorrequired object
coderequired string Machine-readable error code UNAUTHORIZEDFORBIDDENNOT_FOUNDVALIDATION_FAILEDRATE_LIMITEDSLUG_TAKENSLUG_RESERVEDDOMAIN_IN_USEAPP_LIMIT_REACHEDSUBSCRIPTION_REQUIREDSUBSCRIPTION_EXISTSNO_PAYMENT_METHODNO_ACTIVE_SUBSCRIPTIONNOT_CANCELINGALREADY_CANCELINGSUBSCRIPTION_CANCELINGSAME_PLANCARD_ERRORPAYMENT_ERRORNO_STRIPE_CUSTOMERCERT_CREATION_FAILEDDEPLOY_FAILEDAPI_KEY_LIMIT_REACHEDINVALID_IDEMPOTENCY_KEYIDEMPOTENCY_KEY_REUSEINTERNAL_ERROR
messagerequired string Human-readable error description
docUrl string (uri) Link to relevant API documentation for this error Example: https://orbitkit.io/api/errors/#unauthorized
details object[] Additional validation details (Zod errors)
401 Missing, invalid, or expired authentication token
Name Type Description
errorrequired object
coderequired string Machine-readable error code UNAUTHORIZEDFORBIDDENNOT_FOUNDVALIDATION_FAILEDRATE_LIMITEDSLUG_TAKENSLUG_RESERVEDDOMAIN_IN_USEAPP_LIMIT_REACHEDSUBSCRIPTION_REQUIREDSUBSCRIPTION_EXISTSNO_PAYMENT_METHODNO_ACTIVE_SUBSCRIPTIONNOT_CANCELINGALREADY_CANCELINGSUBSCRIPTION_CANCELINGSAME_PLANCARD_ERRORPAYMENT_ERRORNO_STRIPE_CUSTOMERCERT_CREATION_FAILEDDEPLOY_FAILEDAPI_KEY_LIMIT_REACHEDINVALID_IDEMPOTENCY_KEYIDEMPOTENCY_KEY_REUSEINTERNAL_ERROR
messagerequired string Human-readable error description
docUrl string (uri) Link to relevant API documentation for this error Example: https://orbitkit.io/api/errors/#unauthorized
details object[] Additional validation details (Zod errors)
Language
URL
PUT https://api.orbitkit.io/api/apps/{appId}/aasa
curl -X PUT "https://api.orbitkit.io/api/apps/-NtestApp123/aasa" \
  -H "Authorization: Bearer $ORBITKIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"universalLinks":"string","appClips":"string","webCredentials":"string","activityContinuation":"string"}'
const response = await fetch(`https://api.orbitkit.io/api/apps/-NtestApp123/aasa`, {
  method: "PUT",
  headers: {
    "Authorization": "Bearer " + apiKey,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
      "universalLinks": "string",
      "appClips": "string",
      "webCredentials": "string",
      "activityContinuation": "string"
  }),
});

const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://api.orbitkit.io/api/apps/-NtestApp123/aasa")!)
request.httpMethod = "PUT"
request.setValue("Bearer \(apiKey)", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")

let body: [String: Any] = ["universalLinks": "string", "appClips": "string", "webCredentials": "string", "activityContinuation": "string"]
request.httpBody = try JSONSerialization.data(withJSONObject: body)

let (data, _) = try await URLSession.shared.data(for: request)
let json = try JSONSerialization.jsonObject(with: data)
print(json)
200
{
  "universalLinks": {
    "appIDs": "string",
    "paths": []
  },
  "appClips": {
    "appIDs": "string"
  },
  "webCredentials": {
    "appIDs": "string"
  },
  "activityContinuation": {
    "appIDs": "string"
  },
  "updatedAt": 0
}
400
{
  "error": {
    "code": "VALIDATION_FAILED",
    "message": "Validation failed",
    "docUrl": "https://orbitkit.io/api/errors/#validation-failed",
    "details": [
      {
        "field": "appName",
        "message": "Required"
      }
    ]
  }
}
401
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or expired token",
    "docUrl": "https://orbitkit.io/api/errors/#unauthorized"
  }
}